package cn.com.qmth.stmms.ms.core.cache;

import cn.com.qmth.stmms.ms.core.repository.MarkUserRepo;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.CachePut;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

/**
 * @Date: 2021/6/1.
 */
@Service
public class CacheService {

    @Autowired
    MarkUserRepo markUserRepo;

    //这里的单引号不能少，否则会报错，被识别是一个对象
    private static final String CACHE_NAME = "tokens";

    /**
     * 保存
     * @param userId
     * @return
     */
    @CachePut(value = CACHE_NAME, key = "'token' + #userId")
    public String saveTokenCache(String userId, String token) {
        return token;
    }

    /**
     * 删除
     * @param userId
     * @return
     */
    @CacheEvict(value = CACHE_NAME, key = "'token' + #userId")
    public String deleteTokenCache(String userId) {
        return null;
    }


    /**
     * 查询
     * @param userId
     * @return
     */
    @Cacheable(value=CACHE_NAME,key="'token'+ #userId")
    public String queryTokenCache(String userId){
        return null;
    }

}
