package cn.com.qmth.stmms.ms.core.domain;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "attachment")
public class Attachment implements Serializable {

    private static final long serialVersionUID = -9101181754593471979L;

    @Id
    @GeneratedValue
    private Long id;

    private Long workId;

    private String subject;

    private String examNumber;

    /**
     * 本地文件存储路径
     */
    private String filePathLocal;

    private String fileName;

    /**
     * 类型（sheet：原图， thumbs：缩略图，images：裁剪图）
     */
    private String fileType;

    private String fileExt;

    private Date time;

    private String bucket;

    private String objectKey;

    private String ossName;

    private String ossStatus;

    private String ossFailMsg;

    /**
     * 本地文件是否删除成功
     */
    private String deleteStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getFilePathLocal() {
        return filePathLocal;
    }

    public void setFilePathLocal(String filePathLocal) {
        this.filePathLocal = filePathLocal;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getFileExt() {
        return fileExt;
    }

    public void setFileExt(String fileExt) {
        this.fileExt = fileExt;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getObjectKey() {
        return objectKey;
    }

    public void setObjectKey(String objectKey) {
        this.objectKey = objectKey;
    }

    public String getOssName() {
        return ossName;
    }

    public void setOssName(String ossName) {
        this.ossName = ossName;
    }

    public String getOssStatus() {
        return ossStatus;
    }

    public void setOssStatus(String ossStatus) {
        this.ossStatus = ossStatus;
    }

    public String getOssFailMsg() {
        return ossFailMsg;
    }

    public void setOssFailMsg(String ossFailMsg) {
        this.ossFailMsg = ossFailMsg;
    }

    public String getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(String deleteStatus) {
        this.deleteStatus = deleteStatus;
    }
}
