package cn.com.qmth.stmms.ms.core.domain;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 全局参数设置
 */
@Entity
@Table(name = "param_setting")
public class ParamSetting implements Serializable {

    @Id
    @GeneratedValue
    private Long id;

    @NotNull
    private Long workId;

    private Integer packageScan;

    private Integer imageEncrypt;

    private Integer nameRule;

    private Integer paperStage;

    private Integer deviation;

    private Integer autoCallback;

    private Integer majority;

    private Integer cumulativeError;

    private Integer levelShowAllPaper;

    private Integer showPaperCount;

    private Integer roundUp;

    private Integer changeStage;

    private Integer scoreShowAllPaper;

    private Integer isLevelToScore;

    private Integer propDenominator;

    private Integer autoCallbackShowDeviation;

    private Integer showSample;

    private Integer directScore;

    public static ParamSetting init(){
        ParamSetting paramSetting = new ParamSetting();
        paramSetting.setPackageScan(0);
        paramSetting.setImageEncrypt(0);
        paramSetting.setNameRule(0);
        paramSetting.setPaperStage(0);
        //仲裁档位差,默认4
        paramSetting.setDeviation(4);
        paramSetting.setAutoCallback(0);
        paramSetting.setMajority(1);
        paramSetting.setLevelShowAllPaper(0);
        //是否显示试卷数量，默认显示1
        paramSetting.setShowPaperCount(1);
        paramSetting.setRoundUp(1);
        paramSetting.setChangeStage(0);
        paramSetting.setScoreShowAllPaper(0);
        //是否谁分档谁打分，默认0（否）
        paramSetting.setIsLevelToScore(0);
        paramSetting.setPropDenominator(1);
        paramSetting.setAutoCallbackShowDeviation(1);
        paramSetting.setShowSample(1);
        paramSetting.setDirectScore(0);
        return paramSetting;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Integer getPackageScan() {
        return packageScan;
    }

    public void setPackageScan(Integer packageScan) {
        this.packageScan = packageScan;
    }

    public Integer getImageEncrypt() {
        return imageEncrypt;
    }

    public void setImageEncrypt(Integer imageEncrypt) {
        this.imageEncrypt = imageEncrypt;
    }

    public Integer getNameRule() {
        return nameRule;
    }

    public void setNameRule(Integer nameRule) {
        this.nameRule = nameRule;
    }

    public Integer getPaperStage() {
        return paperStage;
    }

    public void setPaperStage(Integer paperStage) {
        this.paperStage = paperStage;
    }

    public Integer getDeviation() {
        return deviation;
    }

    public void setDeviation(Integer deviation) {
        this.deviation = deviation;
    }

    public Integer getAutoCallback() {
        return autoCallback;
    }

    public void setAutoCallback(Integer autoCallback) {
        this.autoCallback = autoCallback;
    }

    public Integer getMajority() {
        return majority;
    }

    public void setMajority(Integer majority) {
        this.majority = majority;
    }

    public Integer getCumulativeError() {
        return cumulativeError;
    }

    public void setCumulativeError(Integer cumulativeError) {
        this.cumulativeError = cumulativeError;
    }

    public Integer getLevelShowAllPaper() {
        return levelShowAllPaper;
    }

    public void setLevelShowAllPaper(Integer levelShowAllPaper) {
        this.levelShowAllPaper = levelShowAllPaper;
    }

    public Integer getShowPaperCount() {
        return showPaperCount;
    }

    public void setShowPaperCount(Integer showPaperCount) {
        this.showPaperCount = showPaperCount;
    }

    public Integer getRoundUp() {
        return roundUp;
    }

    public void setRoundUp(Integer roundUp) {
        this.roundUp = roundUp;
    }

    public Integer getChangeStage() {
        return changeStage;
    }

    public void setChangeStage(Integer changeStage) {
        this.changeStage = changeStage;
    }

    public Integer getScoreShowAllPaper() {
        return scoreShowAllPaper;
    }

    public void setScoreShowAllPaper(Integer scoreShowAllPaper) {
        this.scoreShowAllPaper = scoreShowAllPaper;
    }

    public Integer getIsLevelToScore() {
        return isLevelToScore;
    }

    public void setIsLevelToScore(Integer isLevelToScore) {
        this.isLevelToScore = isLevelToScore;
    }

    public Integer getPropDenominator() {
        return propDenominator;
    }

    public void setPropDenominator(Integer propDenominator) {
        this.propDenominator = propDenominator;
    }

    public Integer getAutoCallbackShowDeviation() {
        return autoCallbackShowDeviation;
    }

    public void setAutoCallbackShowDeviation(Integer autoCallbackShowDeviation) {
        this.autoCallbackShowDeviation = autoCallbackShowDeviation;
    }

    public Integer getShowSample() {
        return showSample;
    }

    public void setShowSample(Integer showSample) {
        this.showSample = showSample;
    }

    public Integer getDirectScore() {
        return directScore;
    }

    public void setDirectScore(Integer directScore) {
        this.directScore = directScore;
    }
}
